﻿@model WebApp.ViewModels.TicketViewModel
@{
    ViewBag.Title = "Buy";
}

<h2>Buy a ticket</h2>


@using (Html.BeginForm("Buy", "Ticket", FormMethod.Post, new { @class = "form-horizontal" }))
{
    @Html.ValidationSummary(false)

    <h3>@Html.DisplayFor(t => Model.TrainTitle)</h3>

    <div class="form-group">
        @Html.Label("Select a carriage number:", new { @class = "col-sm-2 control-label" })
        <div class="col-sm-10">
            @Html.DropDownList("CarriageId", Model.Carriages, new { @class = "form-control"})
        </div>
    </div>

    <div class="form-group">
        @Html.Label("Select a seat:", new { @class = "col-sm-2 control-label" })
        <div class="col-sm-10">
            <div id="seats-container"></div>
        </div>
    </div>

    @Html.HiddenFor(t => Model.TrainId)
    @Html.HiddenFor(t => Model.TripId)
    @Html.HiddenFor(t => Model.Cost)
    @Html.Hidden("arrivingdate", Model.arrivingdate)
    @Html.Hidden("boardingdate", Model.boardingdate)
    @Html.HiddenFor(t => t.stationarriving)
    @Html.HiddenFor(t => t.stationboarding)
    @Html.HiddenFor(t => t.timeinroute)
    @Html.HiddenFor(t => t.userdiscount)


    <div class="form-group">
        @Html.Label("Cost:", new { @class = "col-sm-2 control-label" })
        <div class="col-sm-10">
            @Html.Label(Model.Cost.ToString(), new { @class = "control-label" })
        </div>
    </div>

    if (User.IsInRole("special"))
    {
        <div class="form-group">
            @Html.Label("Discount:", new { @class = "col-sm-2 control-label" })
            <div class="col-sm-10">
                @Html.Label(Model.userdiscount.ToString(), new { @class = "control-label" })
            </div>
        </div>
    }

    <div class="form-group">
        <div class="col-sm-offset-2 col-sm-10">
            <button type="submit" class="btn btn-primary">Buy</button>
        </div>
    </div>
}

<script>
    $(document).ready(function () {
        var carriageId = $("#CarriageId option:selected").val();
        $("#seats-container").load("/Ticket/GetSeats", { id: carriageId });
    });
    $("#CarriageId").change(function () {
        var carriageId = $("#CarriageId option:selected").val();
        $("#seats-container").innerHTML = "";
        $("#seats-container").load("/Ticket/GetSeats", { id: carriageId });
        return false;
    });
</script>